<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/cb_window_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>03/19/85  cb_window_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>This is the basic video interface subroutine to be used by COBOL to
<span id="L5" class="LineNr">  5 </span>create/destroy/change windows.  <span class="textRainbow_lv0_p0">(</span>If usage-mode = 0 <span class="textRainbow_lv1_p0">(</span>see cb_menu_$init2<span class="textRainbow_lv1_p0">)</span>
<span id="L6" class="LineNr">  6 </span>this subroutine should not be called.<span class="textRainbow_lv0_p0">)</span>
<span id="L7" class="LineNr">  7 </span>
<span id="L8" class="LineNr">  8 </span>
<span id="L9" class="LineNr">  9 </span>Entry points in cb_window_:
<span id="L10" class="LineNr"> 10 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L11" class="LineNr"> 11 </span>
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>:Entry:  change:  03/19/85 cb_window_$change
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>
<span id="L16" class="LineNr"> 16 </span>Function:  This entry points provides a facility for changing the size
<span id="L17" class="LineNr"> 17 </span>of an existing window.  The size of a window can always be &quot;shrunk&quot;,
<span id="L18" class="LineNr"> 18 </span>however it can be increased only it does not overlap with another
<span id="L19" class="LineNr"> 19 </span>defined window.  <span class="textRainbow_lv0_p0">(</span>If usage-mode = 0 <span class="textRainbow_lv1_p0">(</span>see cb_menu_$init2<span class="textRainbow_lv1_p0">)</span> this entry
<span id="L20" class="LineNr"> 20 </span>point should not be called.<span class="textRainbow_lv0_p0">)</span>
<span id="L21" class="LineNr"> 21 </span>
<span id="L22" class="LineNr"> 22 </span>
<span id="L23" class="LineNr"> 23 </span>Syntax:
<span id="L24" class="LineNr"> 24 </span>   declarations:
<span id="L25" class="LineNr"> 25 </span>     77  window-id   USAGE IS COMP-6.
<span id="L26" class="LineNr"> 26 </span>     77  first-line  USAGE IS COMP-6.
<span id="L27" class="LineNr"> 27 </span>     77  height      USAGE IS COMP-6.
<span id="L28" class="LineNr"> 28 </span>     77  ret-code    USAGE IS COMP-6.
<span id="L29" class="LineNr"> 29 </span>     call &quot;cb_window_$change&quot; USING window-id, first-line, height,
<span id="L30" class="LineNr"> 30 </span>          ret-code.
<span id="L31" class="LineNr"> 31 </span>
<span id="L32" class="LineNr"> 32 </span>
<span id="L33" class="LineNr"> 33 </span>Arguments:
<span id="L34" class="LineNr"> 34 </span>window-id
<span id="L35" class="LineNr"> 35 </span>   window identifier returned by cb_window_$create.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L36" class="LineNr"> 36 </span>first-line
<span id="L37" class="LineNr"> 37 </span>   new first line number for the window being changed.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> A
<span id="L38" class="LineNr"> 38 </span>   positive value.
<span id="L39" class="LineNr"> 39 </span>height
<span id="L40" class="LineNr"> 40 </span>   new height for the window being changed.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> A positive value.
<span id="L41" class="LineNr"> 41 </span>ret-code
<span id="L42" class="LineNr"> 42 </span>   return code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L43" class="LineNr"> 43 </span>
<span id="L44" class="LineNr"> 44 </span>
<span id="L45" class="LineNr"> 45 </span>:Entry:  clear_window:  03/19/85 cb_window_$clear_window
<span id="L46" class="LineNr"> 46 </span>
<span id="L47" class="LineNr"> 47 </span>
<span id="L48" class="LineNr"> 48 </span>Function:  Used to clear a specified window.
<span id="L49" class="LineNr"> 49 </span>
<span id="L50" class="LineNr"> 50 </span>
<span id="L51" class="LineNr"> 51 </span>Syntax:
<span id="L52" class="LineNr"> 52 </span>   declarations:
<span id="L53" class="LineNr"> 53 </span>     77  window-id      USAGE IS COMP-6.
<span id="L54" class="LineNr"> 54 </span>     77  ret-code       USAGE IS COMP-6.
<span id="L55" class="LineNr"> 55 </span>     call &quot;cb_window_$clear_window&quot; USING  window-id, ret-code.
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>
<span id="L58" class="LineNr"> 58 </span>Arguments:
<span id="L59" class="LineNr"> 59 </span>window-id
<span id="L60" class="LineNr"> 60 </span>   the window identifier <span class="textRainbow_lv0_p0">(</span>returned by cb_window_$create<span class="textRainbow_lv0_p0">)</span> of the window
<span id="L61" class="LineNr"> 61 </span>   to be cleared.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L62" class="LineNr"> 62 </span>ret-code
<span id="L63" class="LineNr"> 63 </span>   return code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L64" class="LineNr"> 64 </span>
<span id="L65" class="LineNr"> 65 </span>
<span id="L66" class="LineNr"> 66 </span>:Entry:  create:  03/19/85 cb_window_$create
<span id="L67" class="LineNr"> 67 </span>
<span id="L68" class="LineNr"> 68 </span>
<span id="L69" class="LineNr"> 69 </span>Function:  This entry is used to create a new window on the terminal
<span id="L70" class="LineNr"> 70 </span>screen.  <span class="textRainbow_lv0_p0">(</span>If usage-mode = 0 <span class="textRainbow_lv1_p0">(</span>see cb_menu_$init2<span class="textRainbow_lv1_p0">)</span> this entry point
<span id="L71" class="LineNr"> 71 </span>should not be called.<span class="textRainbow_lv0_p0">)</span>
<span id="L72" class="LineNr"> 72 </span>
<span id="L73" class="LineNr"> 73 </span>
<span id="L74" class="LineNr"> 74 </span>Syntax:
<span id="L75" class="LineNr"> 75 </span>   declarations:
<span id="L76" class="LineNr"> 76 </span>     77  switch-name    PIC X<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>.
<span id="L77" class="LineNr"> 77 </span>     77  first-line     USAGE IS COMP-6.
<span id="L78" class="LineNr"> 78 </span>     77  height         USAGE IS COMP-6.
<span id="L79" class="LineNr"> 79 </span>     77  window-id      USAGE IS COMP-6.
<span id="L80" class="LineNr"> 80 </span>     77  ret-code       USAGE IS COMP-6.
<span id="L81" class="LineNr"> 81 </span>     call &quot;cb_window_$create&quot; USING first-line, height, switch-name,
<span id="L82" class="LineNr"> 82 </span>          window-id, ret-code.
<span id="L83" class="LineNr"> 83 </span>
<span id="L84" class="LineNr"> 84 </span>
<span id="L85" class="LineNr"> 85 </span>Arguments:
<span id="L86" class="LineNr"> 86 </span>first-line
<span id="L87" class="LineNr"> 87 </span>   is the line number where the window is to start.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L88" class="LineNr"> 88 </span>height
<span id="L89" class="LineNr"> 89 </span>   the number of lines used by the window, i.e., its height.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L90" class="LineNr"> 90 </span>switch-name
<span id="L91" class="LineNr"> 91 </span>   the  name  that  the caller  wishes  to associate  with  the switch.
<span id="L92" class="LineNr"> 92 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L93" class="LineNr"> 93 </span>window-id
<span id="L94" class="LineNr"> 94 </span>   the returned id of the window just created.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It must not be
<span id="L95" class="LineNr"> 95 </span>   altered in any way by the application program.
<span id="L96" class="LineNr"> 96 </span>ret-code
<span id="L97" class="LineNr"> 97 </span>   return code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L98" class="LineNr"> 98 </span>
<span id="L99" class="LineNr"> 99 </span>
<span id="L100" class="LineNr">100 </span>:Entry:  destroy:  03/19/85 cb_window_$destroy
<span id="L101" class="LineNr">101 </span>
<span id="L102" class="LineNr">102 </span>
<span id="L103" class="LineNr">103 </span>Function:  Used to destroy a previously created window.  <span class="textRainbow_lv0_p0">(</span>If usage-mode
<span id="L104" class="LineNr">104 </span>= 0 <span class="textRainbow_lv1_p0">(</span>see cb_menu_$init2<span class="textRainbow_lv1_p0">)</span> this entry point should not be called.<span class="textRainbow_lv0_p0">)</span>
<span id="L105" class="LineNr">105 </span>
<span id="L106" class="LineNr">106 </span>
<span id="L107" class="LineNr">107 </span>Syntax
<span id="L108" class="LineNr">108 </span>   declarations:
<span id="L109" class="LineNr">109 </span>     77  window-id   USAGE IS COMP-6.
<span id="L110" class="LineNr">110 </span>     77  ret-code    USAGE IS COMP-6.
<span id="L111" class="LineNr">111 </span>     call &quot;cb_window_$destroy&quot;  USING  window-id, ret-code.
<span id="L112" class="LineNr">112 </span>
<span id="L113" class="LineNr">113 </span>
<span id="L114" class="LineNr">114 </span>Arguments:
<span id="L115" class="LineNr">115 </span>window-id
<span id="L116" class="LineNr">116 </span>   window    identifier    <span class="textRainbow_lv0_p0">(</span>returned    by    the   cb_window_$create<span class="textRainbow_lv0_p0">)</span>.
<span id="L117" class="LineNr">117 </span>   <span class="textRainbow_lv0_p0">(</span>Input/Output<span class="textRainbow_lv0_p0">)</span> It is reset to an illegal value by this call.
<span id="L118" class="LineNr">118 </span>ret-code
<span id="L119" class="LineNr">119 </span>   return code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
